﻿//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;


namespace MindFusion.Scheduling.Wpf.Samples.CS.Tutorial3
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			Appointment app = new Appointment();
			app.HeaderText = "Meet George";
			app.DescriptionText = "This is a sample appointment";
			app.StartTime = new DateTime(2006, 1, 10, 14, 0, 0);
			app.EndTime = new DateTime(2006, 1, 10, 16, 30, 0);

			calendar.Schedule.Items.Add(app);

			Recurrence rec = new Recurrence();
			rec.Pattern = RecurrencePattern.Weekly;
			rec.DaysOfWeek = DaysOfWeek.Monday | DaysOfWeek.Wednesday;
			rec.Weeks = 2;
			rec.StartDate = new DateTime(2006, 1, 10);
			rec.RecurrenceEnd = RecurrenceEnd.Never;

			app.Recurrence = rec;
		}

		void calendar_ItemClick(object sender, MindFusion.Scheduling.Wpf.ItemMouseEventArgs e)
		{
			// Display the form only if left mouse button is double-clicked
			if (e.LeftButton != MouseButtonState.Pressed || e.Clicks != 2)
				return;

			calendar.ResetDrag();

			// Create the form
			AppointmentForm form = new AppointmentForm(calendar.Schedule);
			form.Title = e.Item.HeaderText;
			form.SetAppointment(e.Item as Appointment);

			// Display the form to the user
			form.ShowDialog();
		}
	}
}
